com.amazon.redshift.core

## Class Oid

- java.lang.Object
- - com.amazon.redshift.core.Oid

    public class Oid
    extends Object

Provides constants for well-known backend OIDs for the types we commonly use.

### Field Summary

Fields
`static int` `ABSTIMEARRAYOID`
`static int` `ABSTIMEOID`
`static int` `ACLITEM`
`static int` `ACLITEM_ARRAY`
`static int` `BIT`
`static int` `BIT_ARRAY`
`static int` `BOOL`
`static int` `BOOL_ARRAY`
`static int` `BOX`
`static int` `BPCHAR`
`static int` `BPCHAR_ARRAY`
`static int` `BYTEA`
`static int` `BYTEA_ARRAY`
`static int` `CHAR`
`static int` `CHAR_ARRAY`
`static int` `DATE`
`static int` `DATE_ARRAY`
`static int` `FLOAT4`
`static int` `FLOAT4_ARRAY`
`static int` `FLOAT8`
`static int` `FLOAT8_ARRAY`
`static int` `GEOGRAPHY`
`static int` `GEOGRAPHY_ARRAY`
`static int` `GEOMETRY`
`static int` `GEOMETRY_ARRAY`
`static int` `GEOMETRYHEX`
`static int` `GEOMETRYHEX_ARRAY`
`static int` `INT2`
`static int` `INT2_ARRAY`
`static int` `INT4`
`static int` `INT4_ARRAY`
`static int` `INT8`
`static int` `INT8_ARRAY`
`static int` `INTERVAL`
`static int` `INTERVAL_ARRAY`
`static int` `JSON`
`static int` `JSON_ARRAY`
`static int` `JSONB_ARRAY`
`static int` `MONEY`
`static int` `MONEY_ARRAY`
`static int` `NAME`
`static int` `NAME_ARRAY`
`static int` `NUMERIC`
`static int` `NUMERIC_ARRAY`
`static int` `OID`
`static int` `OID_ARRAY`
`static int` `POINT`
`static int` `POINT_ARRAY`
`static int` `REF_CURSOR`
`static int` `REF_CURSOR_ARRAY`
`static int` `SUPER`
`static int` `SUPER_ARRAY`
`static int` `TEXT`
`static int` `TEXT_ARRAY`
`static int` `TIDARRAYOID`
`static int` `TIDOID`
`static int` `TIME`
`static int` `TIME_ARRAY`
`static int` `TIMESTAMP`
`static int` `TIMESTAMP_ARRAY`
`static int` `TIMESTAMPTZ`
`static int` `TIMESTAMPTZ_ARRAY`
`static int` `TIMETZ`
`static int` `TIMETZ_ARRAY`
`static int` `UNSPECIFIED`
`static int` `UUID`
`static int` `UUID_ARRAY`
`static int` `VARBIT`
`static int` `VARBIT_ARRAY`
`static int` `VARBYTE`
`static int` `VARBYTE_ARRAY`
`static int` `VARCHAR`
`static int` `VARCHAR_ARRAY`
`static int` `VOID`
`static int` `XIDARRAYOID`
`static int` `XIDOID`
`static int` `XML`
`static int` `XML_ARRAY`

### Constructor Summary

Constructors
Constructor and Description
`Oid()`

### Method Summary

Methods
`static String` `toString(int oid)` Returns the name of the oid as string.
`static int` `valueOf(String oid)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INT2

    public static final int INT2

See Also:
  Constant Field Values

#### INT2_ARRAY

    public static final int INT2_ARRAY

See Also:
  Constant Field Values

#### INT4

    public static final int INT4

See Also:
  Constant Field Values

#### INT4_ARRAY

    public static final int INT4_ARRAY

See Also:
  Constant Field Values

#### INT8

    public static final int INT8

See Also:
  Constant Field Values

#### INT8_ARRAY

    public static final int INT8_ARRAY

See Also:
  Constant Field Values

#### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

#### TEXT_ARRAY

    public static final int TEXT_ARRAY

See Also:
  Constant Field Values

#### NUMERIC

    public static final int NUMERIC

See Also:
  Constant Field Values

#### NUMERIC_ARRAY

    public static final int NUMERIC_ARRAY

See Also:
  Constant Field Values

#### FLOAT4

    public static final int FLOAT4

See Also:
  Constant Field Values

#### FLOAT4_ARRAY

    public static final int FLOAT4_ARRAY

See Also:
  Constant Field Values

#### FLOAT8

    public static final int FLOAT8

See Also:
  Constant Field Values

#### FLOAT8_ARRAY

    public static final int FLOAT8_ARRAY

See Also:
  Constant Field Values

#### BOOL

    public static final int BOOL

See Also:
  Constant Field Values

#### BOOL_ARRAY

    public static final int BOOL_ARRAY

See Also:
  Constant Field Values

#### DATE

    public static final int DATE

See Also:
  Constant Field Values

#### DATE_ARRAY

    public static final int DATE_ARRAY

See Also:
  Constant Field Values

#### TIME

    public static final int TIME

See Also:
  Constant Field Values

#### TIME_ARRAY

    public static final int TIME_ARRAY

See Also:
  Constant Field Values

#### TIMETZ

    public static final int TIMETZ

See Also:
  Constant Field Values

#### TIMETZ_ARRAY

    public static final int TIMETZ_ARRAY

See Also:
  Constant Field Values

#### TIMESTAMP

    public static final int TIMESTAMP

See Also:
  Constant Field Values

#### TIMESTAMP_ARRAY

    public static final int TIMESTAMP_ARRAY

See Also:
  Constant Field Values

#### TIMESTAMPTZ

    public static final int TIMESTAMPTZ

See Also:
  Constant Field Values

#### TIMESTAMPTZ_ARRAY

    public static final int TIMESTAMPTZ_ARRAY

See Also:
  Constant Field Values

#### BYTEA

    public static final int BYTEA

See Also:
  Constant Field Values

#### BYTEA_ARRAY

    public static final int BYTEA_ARRAY

See Also:
  Constant Field Values

#### VARCHAR

    public static final int VARCHAR

See Also:
  Constant Field Values

#### VARCHAR_ARRAY

    public static final int VARCHAR_ARRAY

See Also:
  Constant Field Values

#### OID

    public static final int OID

See Also:
  Constant Field Values

#### OID_ARRAY

    public static final int OID_ARRAY

See Also:
  Constant Field Values

#### BPCHAR

    public static final int BPCHAR

See Also:
  Constant Field Values

#### BPCHAR_ARRAY

    public static final int BPCHAR_ARRAY

See Also:
  Constant Field Values

#### MONEY

    public static final int MONEY

See Also:
  Constant Field Values

#### MONEY_ARRAY

    public static final int MONEY_ARRAY

See Also:
  Constant Field Values

#### NAME

    public static final int NAME

See Also:
  Constant Field Values

#### NAME_ARRAY

    public static final int NAME_ARRAY

See Also:
  Constant Field Values

#### BIT

    public static final int BIT

See Also:
  Constant Field Values

#### BIT_ARRAY

    public static final int BIT_ARRAY

See Also:
  Constant Field Values

#### VOID

    public static final int VOID

See Also:
  Constant Field Values

#### INTERVAL

    public static final int INTERVAL

See Also:
  Constant Field Values

#### INTERVAL_ARRAY

    public static final int INTERVAL_ARRAY

See Also:
  Constant Field Values

#### CHAR

    public static final int CHAR

See Also:
  Constant Field Values

#### CHAR_ARRAY

    public static final int CHAR_ARRAY

See Also:
  Constant Field Values

#### VARBIT

    public static final int VARBIT

See Also:
  Constant Field Values

#### VARBIT_ARRAY

    public static final int VARBIT_ARRAY

See Also:
  Constant Field Values

#### UUID

    public static final int UUID

See Also:
  Constant Field Values

#### UUID_ARRAY

    public static final int UUID_ARRAY

See Also:
  Constant Field Values

#### XML

    public static final int XML

See Also:
  Constant Field Values

#### XML_ARRAY

    public static final int XML_ARRAY

See Also:
  Constant Field Values

#### POINT

    public static final int POINT

See Also:
  Constant Field Values

#### POINT_ARRAY

    public static final int POINT_ARRAY

See Also:
  Constant Field Values

#### BOX

    public static final int BOX

See Also:
  Constant Field Values

#### JSONB_ARRAY

    public static final int JSONB_ARRAY

See Also:
  Constant Field Values

#### JSON

    public static final int JSON

See Also:
  Constant Field Values

#### JSON_ARRAY

    public static final int JSON_ARRAY

See Also:
  Constant Field Values

#### REF_CURSOR

    public static final int REF_CURSOR

See Also:
  Constant Field Values

#### REF_CURSOR_ARRAY

    public static final int REF_CURSOR_ARRAY

See Also:
  Constant Field Values

#### GEOMETRY

    public static final int GEOMETRY

See Also:
  Constant Field Values

#### GEOMETRY_ARRAY

    public static final int GEOMETRY_ARRAY

See Also:
  Constant Field Values

#### GEOMETRYHEX

    public static final int GEOMETRYHEX

See Also:
  Constant Field Values

#### GEOMETRYHEX_ARRAY

    public static final int GEOMETRYHEX_ARRAY

See Also:
  Constant Field Values

#### SUPER

    public static final int SUPER

See Also:
  Constant Field Values

#### SUPER_ARRAY

    public static final int SUPER_ARRAY

See Also:
  Constant Field Values

#### VARBYTE

    public static final int VARBYTE

See Also:
  Constant Field Values

#### VARBYTE_ARRAY

    public static final int VARBYTE_ARRAY

See Also:
  Constant Field Values

#### GEOGRAPHY

    public static final int GEOGRAPHY

See Also:
  Constant Field Values

#### GEOGRAPHY_ARRAY

    public static final int GEOGRAPHY_ARRAY

See Also:
  Constant Field Values

#### TIDOID

    public static final int TIDOID

See Also:
  Constant Field Values

#### TIDARRAYOID

    public static final int TIDARRAYOID

See Also:
  Constant Field Values

#### XIDOID

    public static final int XIDOID

See Also:
  Constant Field Values

#### XIDARRAYOID

    public static final int XIDARRAYOID

See Also:
  Constant Field Values

#### ACLITEM

    public static final int ACLITEM

See Also:
  Constant Field Values

#### ACLITEM_ARRAY

    public static final int ACLITEM_ARRAY

See Also:
  Constant Field Values

#### ABSTIMEOID

    public static final int ABSTIMEOID

See Also:
  Constant Field Values

#### ABSTIMEARRAYOID

    public static final int ABSTIMEARRAYOID

See Also:
  Constant Field Values

#### UNSPECIFIED

    public static final int UNSPECIFIED

See Also:
  Constant Field Values

### Constructor Detail

#### Oid

    public Oid()

### Method Detail

#### toString

    public static String toString(int oid)

Returns the name of the oid as string.

Parameters:
  `oid` - The oid to convert to name.
Returns:
  The name of the oid or `"<unknown>"` if oid no constant for oid value has been defined.

#### valueOf

    public static int valueOf(String oid)
                       throws RedshiftException

Throws:
  `RedshiftException`